function xls_PVbattsizing(fname,snames,P_PV,E_B,results,PVbatt_17_n,...
    PVbatt_cr30_n,PVbatt_td30_n,PVbatt_cr50_n,PVbatt_td50_n)
% xls_PVbattsizing(fname,snames,P_PV,E_B,results,PVbatt_17_n,...
%                 PVbatt_cr30_n,PVbatt_td30_n,PVbatt_cr50_n,PVbatt_td50_n)
%     writes data for PV/battery size testing in 2017 and future scenarios
%     into spreadsheet GridCarbonResults.xls


xlswrite(fname,{'2017 - kg CO_2 saved annually'},snames{1},'A1');
xlswrite(fname,{'PV capacity (kW)'},snames{1},'C2');
xlswrite(fname,P_PV,snames{1},'C3');
xlswrite(fname,{'battery'},snames{1},'A6');
xlswrite(fname,{'capacity'},snames{1},'A7');
xlswrite(fname,{'(kWh)'},snames{1},'A8');
xlswrite(fname,E_B',snames{1},'B4');
xlswrite(fname,PVbatt_17_n',snames{1},'C4');

for nf = 1:4
    xlswrite(fname,{'kg CO_2 saved annually'},snames{nf+1},'A1');
    xlswrite(fname,{'n''th system'},snames{nf+1},'A3');
    xlswrite(fname,{'PV capacity (kW)'},snames{nf+1},'C2');
    xlswrite(fname,P_PV,snames{nf+1},'C3');
    xlswrite(fname,{'battery'},snames{nf+1},'A6');
    xlswrite(fname,{'capacity'},snames{nf+1},'A7');
    xlswrite(fname,{'(kWh)'},snames{nf+1},'A8');
    xlswrite(fname,E_B',snames{nf+1},'B4');
    
    xlswrite(fname,{'average system'},snames{nf+1},'I3');
    xlswrite(fname,{'PV capacity (kW)'},snames{nf+1},'K2');
    xlswrite(fname,P_PV,snames{nf+1},'K3');
    xlswrite(fname,{'battery'},snames{nf+1},'I6');
    xlswrite(fname,{'capacity'},snames{nf+1},'I7');
    xlswrite(fname,{'(kWh)'},snames{nf+1},'I8');
    xlswrite(fname,E_B',snames{nf+1},'J4');
    xlswrite(fname,reshape(results(nf,:,:),5,7)',snames{nf+1},'K4');
end

xlswrite(fname,PVbatt_cr30_n',snames{2},'C4');
xlswrite(fname,PVbatt_td30_n',snames{3},'C4');
xlswrite(fname,PVbatt_cr50_n',snames{4},'C4');
xlswrite(fname,PVbatt_td50_n',snames{5},'C4');

end

